## sandboxgamemaker 2.5+dfsg

=== src/Makefile ===
DEFINES =
MACHINENAME=
CXXFLAGS= -O3 -fomit-frame-pointer $(DEFINES)
override CXXFLAGS+= -Wall -fsigned-char

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX=sandbox

INCLUDES= -Ishared -Iengine -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
ifneq (,$(findstring _64,$(shell uname -m)))
MACHINENAME=64
else
MACHINENAME=32
endif
endif

CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/cubeloader.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/pvs.o \
	engine/physics.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/ui.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o

ifneq (,$(findstring MINGW,$(PLATFORM)))
CLIENT_OBJS+= vcpp/SDL_win32_main.o
endif

FPSCLIENT_OBJS= \
	fpsgame/ai.o \
	fpsgame/client.o \
	fpsgame/entities.o \
	fpsgame/fps.o \
	fpsgame/monster.o \
	fpsgame/movable.o \
	fpsgame/render.o \
	fpsgame/scoreboard.o \
	fpsgame/server.o \
	fpsgame/waypoint.o

SSPCLIENT_OBJS = \
	sspgame/ssp.o \
	sspgame/sspent.o \
	sspgame/sspentities.o \
	sspgame/sspweapons.o \
	sspgame/sspmonster.o \
	sspgame/ssprender.o \
	sspgame/sspstubs.o

RPGCLIENT_OBJS = \
	rpggame/rpg.o \
	rpggame/rpgobj.o \
	rpggame/rpgentities.o \
	rpggame/rpgstubs.o \
	rpggame/rpgrender.o \
	rpggame/rpggui.o \
	rpggame/rpgscript.o \
	rpggame/rpgproj.o \
	rpggame/rpgstats.o \
	rpggame/rpgent.o \
	rpggame/rpgio.o \
	rpggame/rpghud.o

MOVIECLIENT_OBJS= \
	moviecube/action.o \
	moviecube/characterinfo.o \
	moviecube/client.o \
	moviecube/clientmode.o \
	moviecube/control.o \
	moviecube/entities.o \
	moviecube/mapentities.o \
	moviecube/movable.o \
	moviecube/moviecube.o \
	moviecube/render.o \
	moviecube/server.o

CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch sspgame/sspgame.h.gch rpggame/rpggame.h.gch moviecube/game.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet -lenet -lz
endif

SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/server-standalone.o

FPSSERVER_OBJS = \
	fpsgame/server-standalone.o

MOVIESERVER_OBJS= \
	moviecube/server-standalone.o

MASTER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/master-standalone.o

LAUNCHER_LIBS= `wx-config --libs`
LAUNCHER_FLAGS= `wx-config --cxxflags`
LAUNCHER_OBJS= \
	launcher/pasl.o \
	launcher/paslapp.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

$(LAUNCHER_OBJS): CXXFLAGS += $(LAUNCHER_FLAGS)

pasl:   $(LAUNCHER_OBJS)
	$(CXX) $(CXXFLAGS) $(LAUNCHER_FLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
	cp launch ../launcher
	strip ../launcher
	chmod +x ../launcher

all: client server

enet/Makefile:
	cd enet; ./configure

libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean:
	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)

$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))

$(SSPCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Isspgame
$(filter sspgame/%,$(SSPCLIENT_OBJS)): $(filter sspgame/%,$(CLIENT_PCH))

$(FPSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ifpsgame
$(filter fpsgame/%,$(FPSCLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))

$(RPGCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Irpggame
$(filter rpggame/%,$(RPGCLIENT_OBJS)): $(filter rpggame/%,$(CLIENT_PCH))

$(MOVIECLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Imoviecube
$(filter moviecube/%,$(MOVIECLIENT_OBJS)): $(filter moviecube/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

$(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
$(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
vcpp/%.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@)

client: client-fps client-ssp client-rpg client-movie

client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe vcpp/sandbox.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)

client-ssp:$(CLIENT_OBJS) $(SSPCLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe vcpp/sandbox.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)

client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)

client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe vcpp/sandbox.res $(CLIENT_OBJS) $(MOVIEPCLIENT_OBJS) $(CLIENT_LIBS)

server: server-fps server-movie

server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)

server-movie: $(SERVER_OBJS) $(MOVIESERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)


master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)

install: all
else

client:	client-fps client-ssp client-rpg client-movie


client-fps:libenet $(CLIENT_OBJS) $(FPSCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_fps $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)

client-ssp:libenet $(CLIENT_OBJS) $(SSPCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_ssp $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)

client-rpg:libenet $(CLIENT_OBJS) $(RPGCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_rpg $(CLIENT_OBJS) $(RPGCLIENT_OBJS) $(CLIENT_LIBS)

client-movie:libenet $(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_movie $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)

server:	server-fps server-movie

server-fps: libenet $(SERVER_OBJS) $(FPSSERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_fps $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)

server-movie: libenet $(SERVER_OBJS) $(MOVIESERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_movie $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)

master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(SERVER_LIBS)


install: all
	cp $(PLATFORM_PREFIX)_* ../bin/
ifneq (,$(STRIP))
	strip ../bin/$(PLATFORM_PREFIX)_??????_$(MACHINENAME)*
endif
	chmod +x ../bin/$(PLATFORM_PREFIX)_??????_$(MACHINENAME)*
endif


depend:
	makedepend -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

distinstall: install
	chmod +x ./install.sh
	exec ./install.sh

distclean:
	rm -rf /usr/local/sandbox/
	rm -f /usr/bin/sandbox

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/tools.o: shared/command.h shared/iengine.h shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h
engine/3dgui.o: engine/textedit.h
engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/bih.o: engine/texture.h engine/model.h
engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/blend.o: engine/bih.h engine/texture.h engine/model.h
engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/blob.o: engine/texture.h engine/model.h
engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/client.o: shared/ents.h shared/command.h shared/iengine.h
engine/client.o: shared/igame.h engine/world.h engine/octa.h
engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/client.o: engine/model.h
engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/command.o: shared/ents.h shared/command.h shared/iengine.h
engine/command.o: shared/igame.h engine/world.h engine/octa.h
engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/command.o: engine/model.h
engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/console.o: shared/ents.h shared/command.h shared/iengine.h
engine/console.o: shared/igame.h engine/world.h engine/octa.h
engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/console.o: engine/model.h
engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h

=== src/launcher/Makefile ===
### Begin DialogBlocks generated body
################################################################################
# Makefile generated by DialogBlocks
#
# Available configurations:
# release
################################################################################

CONFIG=unicoderelease

# release
ifeq ($(CONFIG),release)
WXWIN=/home/zkat8it/Documents/wxWidgets-2.8.8
TOOLCHAINNAME=gtk2
WXVERSION:=$(shell echo `$(WXWIN)/GCCBuildReleaseGTK2/wx-config --version`)
CXX=g++
CC=gcc
RESCOMP=windres.exe
RCFILEOBJ=PASL_rc.o
RCFILESRC=PASL.rc
RESOURCEOBJECT=
OUTPUTPATH=GCCRelease
OBJECTPATH=GCCRelease
BUILDPATHS=$(OBJECTPATH)
PROGRAM=PASL
LIBS=`$(WXWIN)/GCCBuildReleaseGTK2/wx-config --inplace --exec-prefix="$(WXWIN)/GCCBuildReleaseGTK2" --libs`
LINKERFLAGS=
WARNINGFLAGS=-Wall
OPTFLAGS=-O
DEBUGFLAGS=
LIBPATH=
CPPINC=`$(WXWIN)/GCCBuildReleaseGTK2/wx-config --inplace --cxxflags`
GCCFLAGS=
LDFLAGS=$(LIBS) $(LIBPATH) $(LINKERFLAGS)
CPPFLAGS=$(CPPINC) $(GCCFLAGS) $(DEBUGFLAGS) $(OPTFLAGS) $(WARNINGFLAGS)
LIBDIRNAME=$(WXWIN)/GCCBuildReleaseGTK2/lib
RESPATH=--include-dir "$(WXWIN)/include" --include-dir "$(WXWIN)/contrib/include" --include-dir "$(WXWIN)/GCCBuildReleaseGTK2/lib/wx/include/gtk2-ansi-release-static-2.8"
MACPACKAGEINFO=

# unicoderelease
else
WXWIN=/home/zkat8it/Documents/wxWidgets-2.8.9
TOOLCHAINNAME=gtk2u
WXVERSION:=$(shell echo `wx-config --version`)
CXX=g++
CC=gcc
RESCOMP=windres.exe
RCFILEOBJ=Project2_rc.o
RCFILESRC=Project2.rc
RESOURCEOBJECT=
OUTPUTPATH=GCCUnicodeRelease
OBJECTPATH=GCCUnicodeRelease
BUILDPATHS=$(OBJECTPATH)
PROGRAM=Project2
LIBS=`wx-config --libs`
LINKERFLAGS=
WARNINGFLAGS=-Wall
OPTFLAGS=-O
DEBUGFLAGS=
LIBPATH=
CPPINC=`wx-config --cxxflags`
GCCFLAGS=
LDFLAGS=$(LIBS) $(LIBPATH) $(LINKERFLAGS)
CPPFLAGS=$(CPPINC) $(GCCFLAGS) $(DEBUGFLAGS) $(OPTFLAGS) $(WARNINGFLAGS)
LIBDIRNAME=$(WXWIN)/GCCBuildReleaseGTK2Unicode/lib
RESPATH=--include-dir "$(WXWIN)/include" --include-dir "$(WXWIN)/contrib/include" --include-dir "$(WXWIN)/GCCBuildReleaseGTK2Unicode/lib/wx/include/gtk2-unicode-release-static-2.8"
MACPACKAGEINFO=
endif

OBJECTS=$(OBJECTPATH)/pasl.o $(OBJECTPATH)/paslapp.o $(RESOURCEOBJECT)

all:	$(BUILDPATHS) $(MACPACKAGEINFO) $(OUTPUTPATH)/$(PROGRAM)

$(OBJECTPATH):
	mkdir -p $(OBJECTPATH)

clean:
	rm -f $(OBJECTPATH)/*.o
	rm -f $(OBJECTPATH)/*.res
	rm -fr .deps .pch
	rm -fr $(PROGRAM).app
	rm -f $(OUTPUTPATH)/$(PROGRAM)

help:
	@echo "Usage: make -f Makefile CONFIG=[release] [all|clean|help]"

$(OUTPUTPATH)/$(PROGRAM):	$(OBJECTS)
	$(CXX) -o $@ $(OBJECTS) $(LDFLAGS)


# Windows only
$(OBJECTPATH)/$(RCFILEOBJ):	$(RCFILESRC)
	$(RESCOMP) --use-temp-file -i$< -o$@ $(RESPATH) --include-dir . --define NOPCH

# Mac only
$(OUTPUTPATH)/$(PROGRAM).app/Contents/PkgInfo: $(OUTPUTPATH)/$(PROGRAM) $(INFOPLISTSOURCE) $(ICNSSOURCE)
	mkdir -p $(OUTPUTPATH)/$(PROGRAM).app/Contents
	mkdir -p $(OUTPUTPATH)/$(PROGRAM).app/Contents/MacOS
	mkdir -p $(OUTPUTPATH)/$(PROGRAM).app/Contents/Resources
	sed -e "s/IDENTIFIER/$(PROGRAM)/" \
	-e "s/EXECUTABLE/$(PROGRAM)/" \
	-e "s/VERSION/$(WXVERSION)/" \
	$(INFOPLISTSOURCE) >$(OUTPUTPATH)/$(PROGRAM).app/Contents/Info.plist
	echo -n "APPL????" >$(OUTPUTPATH)/$(PROGRAM).app/Contents/PkgInfo
	ln -f $(OUTPUTPATH)/$(PROGRAM) $(OUTPUTPATH)/$(PROGRAM).app/Contents/MacOS/$(PROGRAM)
	cp -f $(ICNSSOURCE) $(ICNSDEST)

$(OBJECTPATH)/pasl.o:	pasl.cpp pasl.h sandboxlogo.xpm NoImage.xpm
	$(CXX) -c -o $@ $(CPPFLAGS) pasl.cpp

$(OBJECTPATH)/paslapp.o:	paslapp.cpp paslapp.h pasl.h
	$(CXX) -c -o $@ $(CPPFLAGS) paslapp.cpp

.PHONY:	all clean
### End DialogBlocks generated body

=== debian/changelog ===
sandboxgamemaker (2.5+dfsg-5) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #575689
  * [Debconf translation updates]
  * Swedish (Martin Bagge).  Closes: #575874
  * Russian (Yuri Kozlov).  Closes: #575946
  * Czech (Michal Simunek).  Closes: #576011
  * Vietnamese (Clytie Siddall).  Closes: #576017
  * German (Martin Eberhard Schauer).  Closes: #576289
  * Portuguese (Pedro Ribeiro).  Closes: #576306
  * Portuguese (Pedro Ribeiro).  Closes: #577001
  * French (David Prévot).  Closes: #577030
  * Spanish (Francisco Javier Cuadrado).  Closes: #577049

  [ Scott Howard ]
  * Cleaned up wording in .desktop files, added .xpm icon, cleaned up
    debian menu files. Closes: #575387
  * postinst script downloads content to /var/cache/sandboxgamemaker

 -- Scott Howard <showard314@gmail.com>  Sat, 17 Apr 2010 16:49:09 -0400

sandboxgamemaker (2.5+dfsg-4) unstable; urgency=low

  * Added debian/po and set up localization for debconf
  * Merged debian/bin/PAS_downloader into debian/postinst

 -- Scott Howard <showard314@gmail.com>  Tue, 09 Mar 2010 10:46:14 -0500

sandboxgamemaker (2.5+dfsg-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Added debian/watch
  * cleaned up rules to use dh
  * dropped Build-Depends on quilt and sng
  * cherry picked upstream launcher sandbox_unix_usr 
  * added and new man pages
  * changed .desktop files to use new launcher (Closes: #572097)
  * debian/control add info about vcs
  * uses debconf to prompt about installing PA default content

 -- Scott Howard <showard314@gmail.com>  Sun, 07 Mar 2010 14:01:24 -0500

sandboxgamemaker (2.5+dfsg-2) unstable; urgency=low

  * Added debian/bin/PAS_downloader, debian/postrm 
    to ask user if they want to download and install non-DFSG and large
    default game data from www.sandboxgamemaker.com
  * Bump standards to 3.8.4 (no changes)

 -- Scott Howard <showard314@gmail.com>  Fri, 19 Feb 2010 20:54:36 -0500

sandboxgamemaker (2.5+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #551000).

 -- Scott Howard <showard314@gmail.com>  Wed, 20 Jan 2010 21:45:25 -0500

=== debian/control ===
Source: sandboxgamemaker
Section: contrib/games
Priority: optional
Maintainer: Scott Howard <showard314@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev, po-debconf
Standards-Version: 3.8.4
Homepage: http://sandboxgamemaker.com/
Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git

Package: sandboxgamemaker
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libsmpeg0, mikmod, timidity
Description: 3D game maker and 3D game design program
 Platinum Arts Sandbox is an open source, easy-to-use, standalone 3D game
 maker and 3D game design program. It is currently based on the Cube 2
 engine used in schools around the world that allows kids and adults to
 create their own video games, worlds, levels, adventures, and quests,
 even cooperatively. The goal is to make it accessible to kids but also
 powerful enough for full game projects.
 .
 This package contains the client and server binaries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -f src/sandbox_client src/sandbox_server
	rm -f bin/*
	dh_auto_clean
	
override_dh_auto_install:
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/sandboxgamemaker install
	
override_dh_installchangelogs:
	dh_installchangelogs -k sandboxtodo.txt



ORIG_TARBALL=PlatinumArtsSandbox2.5Multiplatform.zip
ORIG_DIRECTORY=PlatinumArtsSandbox2.5
ORIG_DFSG_NAME=sandboxgamemaker-2.5+dfsg

get-orig-source:
	dh_testdir
	rm -rf ../sandboxgamemaker_2.5+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	test -f $(ORIG_TARBALL) || wget http://sandboxgamemaker.com/sandbox/$(ORIG_TARBALL)
	rm -rf $(ORIG_DIRECTORY)
	unzip $(ORIG_TARBALL)
	rm -f `find $(ORIG_DIRECTORY) -iname "*.exe"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.bat"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.dll"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.lib"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.a"`
	rm -f $(ORIG_DIRECTORY)/bin/*
	-rm -r $(ORIG_DIRECTORY)/src/enet
	-rm -r $(ORIG_DIRECTORY)/src/xcode
	-rm -r $(ORIG_DIRECTORY)/src/windows
	-rm -r $(ORIG_DIRECTORY)/src/include
	-rm -r $(ORIG_DIRECTORY)/src/lib
	-rm -r $(ORIG_DIRECTORY)/packages
	-rm -r $(ORIG_DIRECTORY)/my_stuff
	-rm -r $(ORIG_DIRECTORY)/mod
	-rm -r $(ORIG_DIRECTORY)/loadback
	-rm -r $(ORIG_DIRECTORY)/data
	-rm -r $(ORIG_DIRECTORY)/concept
	-rm -r $(ORIG_DIRECTORY)/base
	rm -f $(ORIG_DIRECTORY)/LICENSE.txt #LICENSE.txt installed with sandboxgamemaker-data since it applies to the files in that package
	rm -f $(ORIG_DIRECTORY)/OSX*
	rm -f $(ORIG_DIRECTORY)/_SandBoxLauncher
	-rm -r $(ORIG_DIRECTORY)/.pc
	mv $(ORIG_DIRECTORY) $(ORIG_DFSG_NAME)
	GZIP=-9 tar cvfz ../sandboxgamemaker_2.5+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	rm -rf $(ORIG_DFSG_NAME) $(ORIG_TARBALL)	


#.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source

## sandboxgamemaker 2.6.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 DEFINES =
 MACHINENAME=
 CXXFLAGS= -O3 -fomit-frame-pointer $(DEFINES)
@@ -23,7 +24,7 @@
 CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
 else
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
-CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
+CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
 endif
 ifeq ($(PLATFORM),Linux)
 CLIENT_LIBS+= -lrt
@@ -47,7 +48,6 @@
 	engine/client.o	\
 	engine/command.o \
 	engine/console.o \
-	engine/cubeloader.o \
 	engine/decal.o \
 	engine/dynlight.o \
 	engine/glare.o \
@@ -84,7 +84,7 @@
 CLIENT_OBJS+= vcpp/SDL_win32_main.o
 endif
 
-FPSCLIENT_OBJS= \
+FPSCLIENT_OBJS = \
 	fpsgame/ai.o \
 	fpsgame/client.o \
 	fpsgame/entities.o \
@@ -107,17 +107,25 @@
 
 RPGCLIENT_OBJS = \
 	rpggame/rpg.o \
-	rpggame/rpgobj.o \
+	rpggame/rpgai.o \
+	rpggame/rpgaction.o \
+	rpggame/rpgcamera.o \
+	rpggame/rpgchar.o \
+	rpggame/rpgconfig.o \
+	rpggame/rpgeffect.o \
 	rpggame/rpgentities.o \
+	rpggame/rpghud.o \
+	rpggame/rpggui.o \
+	rpggame/rpgio.o \
+	rpggame/rpgitem.o \
+	rpggame/rpgobject.o \
+	rpggame/rpgproj.o \
+	rpggame/rpgscript.o \
+	rpggame/rpgstatus.o \
 	rpggame/rpgstubs.o \
 	rpggame/rpgrender.o \
-	rpggame/rpggui.o \
-	rpggame/rpgscript.o \
-	rpggame/rpgproj.o \
-	rpggame/rpgstats.o \
-	rpggame/rpgent.o \
-	rpggame/rpgio.o \
-	rpggame/rpghud.o
+	rpggame/rpgtest.o \
+	rpggame/waypoint.o
 
 MOVIECLIENT_OBJS= \
 	moviecube/action.o \
@@ -130,16 +138,44 @@
 	moviecube/movable.o \
 	moviecube/moviecube.o \
 	moviecube/render.o \
+	moviecube/camera.o \
 	moviecube/server.o
 
-CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch sspgame/sspgame.h.gch rpggame/rpggame.h.gch moviecube/game.h.gch
+
+KRSCLIENT_OBJS = \
+	krsgame/krs.o \
+	krsgame/krsai.o \
+	krsgame/krsents.o \
+	krsgame/krshud.o \
+	krsgame/krsrender.o \
+	krsgame/krsstubs.o \
+	krsgame/krsscript.o \
+	krsgame/waypoint.o
+
+PZLCLIENT_OBJS = \
+	pzlgame/pzl.o \
+	pzlgame/pzlents.o \
+	pzlgame/pzlhud.o \
+	pzlgame/pzlrender.o \
+	pzlgame/pzlstubs.o \
+	pzlgame/pzlscript.o
+
+CLIENT_PCH = \
+	shared/cube.h.gch \
+	engine/engine.h.gch \
+	fpsgame/game.h.gch \
+	sspgame/sspgame.h.gch \
+	rpggame/rpggame.h.gch \
+	moviecube/game.h.gch \
+	krsgame/krsgame.h.gch \
+	pzlgame/pzlgame.h.gch
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
 SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
 else
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
-SERVER_LIBS= -Lenet -lenet -lz
+SERVER_LIBS= -Lenet/.libs -lenet -lz
 endif
 
 SERVER_OBJS= \
@@ -186,7 +222,7 @@
 all: client server
 
 enet/Makefile:
-	cd enet; ./configure
+	cd enet; ./configure --enable-shared=no --enable-static=yes
 
 libenet: enet/Makefile
 	$(MAKE)	-C enet/ all
@@ -195,7 +231,7 @@
 	$(MAKE) -C enet/ clean
 
 clean:
-	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*
+	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(KRSCLIENT_OBJS) $(PZLCLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*
 
 %.h.gch: %.h
 	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
@@ -210,29 +246,39 @@
 $(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
 
 $(SSPCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Isspgame
-$(filter sspgame/%,$(SSPCLIENT_OBJS)): $(filter sspgame/%,$(CLIENT_PCH))
+$(SSPCLIENT_OBJS): $(filter sspgame/%,$(CLIENT_PCH))
 
 $(FPSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ifpsgame
-$(filter fpsgame/%,$(FPSCLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))
+$(FPSCLIENT_OBJS): $(filter fpsgame/%,$(CLIENT_PCH))
 
 $(RPGCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Irpggame
-$(filter rpggame/%,$(RPGCLIENT_OBJS)): $(filter rpggame/%,$(CLIENT_PCH))
+$(RPGCLIENT_OBJS): $(filter rpggame/%,$(CLIENT_PCH))
 
 $(MOVIECLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Imoviecube
-$(filter moviecube/%,$(MOVIECLIENT_OBJS)): $(filter moviecube/%,$(CLIENT_PCH))
+$(MOVIECLIENT_OBJS): $(filter moviecube/%,$(CLIENT_PCH))
+
+$(KRSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ikrsgame
+$(KRSCLIENT_OBJS): $(filter krsgame/%,$(CLIENT_PCH))
+
+$(PZLCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ipzlgame
+$(PZLCLIENT_OBJS): $(filter pzlgame/%,$(CLIENT_PCH))
 
 $(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
 $(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)
 
 $(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
 $(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)
+
+#client: client-fps client-ssp client-rpg client-krs client-pzl
+client: client-fps client-ssp client-rpg client-movie client-krs client-pzl
+#server: server-fps
+server: server-fps server-movie
+
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 vcpp/%.o:
 	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@)
 
-client: client-fps client-ssp client-rpg client-movie
-
 client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
 	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe vcpp/sandbox.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
@@ -243,13 +289,20 @@
 
 client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(CXX) $(CXXFLAGS
+) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
 	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe vcpp/sandbox.res $(CLIENT_OBJS) $(MOVIEPCLIENT_OBJS) $(CLIENT_LIBS)
 
-server: server-fps server-movie
+client-krs:$(CLIENT_OBJS) $(KRSCLIENT_OBJS)
+	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe vcpp/sandbox.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
+
+client-pzl:$(CLIENT_OBJS) $(PZLCLIENT_OBJS)
+	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe vcpp/sandbox.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
 
 server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
 	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
@@ -265,9 +318,6 @@
 install: all
 else
 
-client:	client-fps client-ssp client-rpg client-movie
-
-
 client-fps:libenet $(CLIENT_OBJS) $(FPSCLIENT_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_fps $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
 
@@ -280,7 +330,11 @@
 client-movie:libenet $(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_movie $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)
 
-server:	server-fps server-movie
+client-krs:libenet $(CLIENT_OBJS) $(KRSCLIENT_OBJS)
+	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_krs $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
+
+client-pzl:libenet $(CLIENT_OBJS) $(PZLCLIENT_OBJS)
+	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_pzl $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
 
 server-fps: libenet $(SERVER_OBJS) $(FPSSERVER_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_fps $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
@@ -314,6 +368,9 @@
 distclean:
 	rm -rf /usr/local/sandbox/
 	rm -f /usr/bin/sandbox
+
+engine/engine.h.gch: shared/cube.h.gch
+fpsgame/game.h.gch: shared/cube.h.gch
 
 # DO NOT DELETE
 
@@ -330,33 +387,6 @@
 engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
 engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
 engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
-engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h
+engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
 engine/3dgui.o: engine/textedit.h
 engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
-engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
-engine/bih.o: engine/texture.h engine/model.h
-engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
-engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
-engine/blend.o: engine/bih.h engine/texture.h engine/model.h
-engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
-engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
-engine/blob.o: engine/texture.h engine/model.h
-engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/client.o: shared/ents.h shared/command.h shared/iengine.h
-engine/client.o: shared/igame.h engine/world.h engine/octa.h
-engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/client.o: engine/model.h
-engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/command.o: shared/ents.h shared/command.h shared/iengine.h
-engine/command.o: shared/igame.h engine/world.h engine/octa.h
-engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/command.o: engine/model.h
-engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/console.o: shared/ents.h shared/command.h shared/iengine.h
-engine/console.o: shared/igame.h engine/world.h engine/octa.h
-engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/console.o: engine/model.h
-engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h

=== debian/changelog ===
sandboxgamemaker (2.6.1+dfsg-7) unstable; urgency=low

  * S-V 3.9.2 (no changes)
  * Improved downloader script, thanks to Jasen Betts 
    (Closes: #627830)
  * Added parallel build support to debian/rules

 -- Scott Howard <showard@debian.org>  Thu, 26 May 2011 09:14:19 -0400

sandboxgamemaker (2.6.1+dfsg-6) unstable; urgency=low

  * debian/postinst fixed to clean out partially downloaded files in
    case of an aborted install (LP: #755641)
  * 0e

 -- Scott Howard <showard@debian.org>  Tue, 17 May 2011 20:40:43 -0400

sandboxgamemaker (2.6.1+dfsg-5) unstable; urgency=low

  * debian/patches/librt_linking.patch
    - 'shm_open@@GLIBC_2.3' is defined in DSO //lib/librt.so.1 so try adding
      it to the linker command line. (Closes: #618785)
 
 -- Scott Howard <showard@debian.org>  Sat, 19 Mar 2011 10:45:09 -0400

sandboxgamemaker (2.6.1+dfsg-4) unstable; urgency=low

  * debian/control, debian/compat updated for debhelper version 8
  * removed debian/patches/libenet_1.3_add.patch, use newly packaged
    enet 1.3.1 in Debian
  * use debian/sandboxgamemaker.install instead of src/Makefile's install
    target

 -- Scott Howard <showard@debian.org>  Sat, 12 Mar 2011 12:16:09 -0500

sandboxgamemaker (2.6.1+dfsg-3) experimental; urgency=low

  * debian/patches/binutils-gold_X11.patch
    - Fix a FTBFS with binutils-gold not implicitly linking to X11
      (see LP bug 677934) Thanks to Artur Rona.

 -- Scott Howard <showard314@gmail.com>  Sun, 21 Nov 2010 11:26:10 -0500

sandboxgamemaker (2.6.1+dfsg-2) experimental; urgency=low

  * debian/patches/fix_ftbfs_bigendian.patch
    - Fixed a FTBFS on big endian machines due to wrong type used in 
      function call

 -- Scott Howard <showard314@gmail.com>  Wed, 10 Nov 2010 19:33:59 -0500

sandboxgamemaker (2.6.1+dfsg-1) experimental; urgency=low

  * New upstream release.
  * Refreshed all patches.
  * Removed spelling_errors.patch and build_fix_bendian.patch (accepted
    upstream)

 -- Scott Howard <showard314@gmail.com>  Mon, 08 Nov 2010 09:58:16 -0500

sandboxgamemaker (2.6+dfsg-2) experimental; urgency=low

  * debian/patches/build_fix_bendian.patch
    - Fixed build for big endian architectures (Closes: #599629)
  * Japanese translation, from Hideki Yamane (Closes: #599887)

 -- Scott Howard <showard314@gmail.com>  Sat, 16 Oct 2010 13:24:37 -0400

sandboxgamemaker (2.6+dfsg-1) experimental; urgency=low

  * New upstream release.
    - refreshed patches
  * debian/patches/libenet_1.3_add.patch
    - includes new upstream libenet and statically links against it
  * Added wxwidgets launcher
  * Debian Policy 3.9.1 (no changes)
  * Fixed some minor spelling errors with spelling_errors.patch
  * New translations
    - Danish, by Joe Dalton (Closes: #595586)
    - Italian, by Vincenzo Campanella (Closes: #576489)

 -- Scott Howard <showard314@gmail.com>  Sat, 09 Oct 2010 13:11:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sandboxgamemaker
 Section: contrib/games
 Priority: optional
-Maintainer: Scott Howard <showard314@gmail.com>
+Maintainer: Scott Howard <showard@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev, po-debconf
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk2.8-dev
+Standards-Version: 3.9.2
 Homepage: http://sandboxgamemaker.com/
 Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
 Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -C src
	$(MAKE) -C src pasl

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -f src/sandbox_client src/sandbox_server
	rm -f bin/*
	rm -rf bin
	rm -f sandboxgamemaker_glauncher src/launch src/launcher/pasl.o src/launcher/paslapp.o
	dh_auto_clean

override_dh_install:
	dh_install -Xlicense

ORIG_TARBALL=PlatinumArtsSandbox2.6.1Multiplatform.zip
ORIG_DIRECTORY=PlatinumArtsSandbox2.6.1
ORIG_DFSG_NAME=sandboxgamemaker-2.6.1+dfsg

get-orig-source:
	dh_testdir
	rm -rf ../sandboxgamemaker_2.6.1+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	test -f $(ORIG_TARBALL) || wget http://sandboxgamemaker.com/sandbox/$(ORIG_TARBALL)
	rm -rf $(ORIG_DIRECTORY)
	unzip $(ORIG_TARBALL)
	rm -f `find $(ORIG_DIRECTORY) -iname "*.exe"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.bat"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.dll"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.lib"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.a"`
	rm -f $(ORIG_DIRECTORY)/bin/*
	-rm -r $(ORIG_DIRECTORY)/src/enet
	-rm -r $(ORIG_DIRECTORY)/src/xcode
	-rm -r $(ORIG_DIRECTORY)/src/windows
	-rm -r $(ORIG_DIRECTORY)/src/include
	-rm -r $(ORIG_DIRECTORY)/src/lib
	-rm -r $(ORIG_DIRECTORY)/packages
	-rm -r $(ORIG_DIRECTORY)/data
	rm -f $(ORIG_DIRECTORY)/LICENSE.txt #LICENSE.txt installed with sandboxgamemaker-data since it applies to the files in that package
	rm -f $(ORIG_DIRECTORY)/_SandBoxLauncher
	mv $(ORIG_DIRECTORY) $(ORIG_DFSG_NAME)
	GZIP=-9 tar cvfz ../sandboxgamemaker_2.6.1+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	rm -rf $(ORIG_DFSG_NAME) $(ORIG_TARBALL)	


#.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source

## sandboxgamemaker 2.7+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 DEFINES =
 MACHINENAME=
-CXXFLAGS= -O3 -fomit-frame-pointer $(DEFINES)
-override CXXFLAGS+= -Wall -fsigned-char
+CXXFLAGS= -O2 -fomit-frame-pointer $(DEFINES)
+override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti
 
 PLATFORM= $(shell uname -s)
 PLATFORM_PREFIX=sandbox
@@ -24,7 +24,7 @@
 CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
 else
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
-CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
+CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lX11
 endif
 ifeq ($(PLATFORM),Linux)
 CLIENT_LIBS+= -lrt
@@ -80,10 +80,6 @@
 	engine/world.o \
 	engine/worldio.o
 
-ifneq (,$(findstring MINGW,$(PLATFORM)))
-CLIENT_OBJS+= vcpp/SDL_win32_main.o
-endif
-
 FPSCLIENT_OBJS = \
 	fpsgame/ai.o \
 	fpsgame/client.o \
@@ -112,19 +108,22 @@
 	rpggame/rpgcamera.o \
 	rpggame/rpgchar.o \
 	rpggame/rpgconfig.o \
+	rpggame/rpgcontainer.o \
 	rpggame/rpgeffect.o \
 	rpggame/rpgentities.o \
 	rpggame/rpghud.o \
 	rpggame/rpggui.o \
 	rpggame/rpgio.o \
 	rpggame/rpgitem.o \
-	rpggame/rpgobject.o \
+	rpggame/rpgobstacle.o \
+	rpggame/rpgplatform.o \
 	rpggame/rpgproj.o \
 	rpggame/rpgscript.o \
 	rpggame/rpgstatus.o \
 	rpggame/rpgstubs.o \
 	rpggame/rpgrender.o \
 	rpggame/rpgtest.o \
+	rpggame/rpgtrigger.o \
 	rpggame/waypoint.o
 
 MOVIECLIENT_OBJS= \
@@ -172,10 +171,12 @@
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
-SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
+SERVER_LIBS= -mwindows -Llib -lzdll -lenet -lws2_32 -lwinmm
+MASTER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
 else
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
 SERVER_LIBS= -Lenet/.libs -lenet -lz
+MASTER_LIBS= $(SERVER_LIBS)
 endif
 
 SERVER_OBJS= \
@@ -183,13 +184,16 @@
 	shared/stream-standalone.o \
 	shared/tools-standalone.o \
 	engine/command-standalone.o \
-	engine/server-standalone.o
+	engine/server-standalone.o \
+	engine/worldio-standalone.o
 
 FPSSERVER_OBJS = \
+	fpsgame/entities-standalone.o \
 	fpsgame/server-standalone.o
 
 MOVIESERVER_OBJS= \
-	moviecube/server-standalone.o
+	moviecube/server-standalone.o \
+	moviecube/entities-standalone.o
 
 MASTER_OBJS= \
 	shared/crypto-standalone.o \
@@ -214,7 +218,7 @@
 $(LAUNCHER_OBJS): CXXFLAGS += $(LAUNCHER_FLAGS)
 
 pasl:   $(LAUNCHER_OBJS)
-	$(CXX) $(CXXFLAGS) $(LAUNCHER_FLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
+	$(CXX) $(CXXFLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
 	cp launch ../launcher
 	strip ../launcher
 	chmod +x ../launcher
@@ -269,51 +273,46 @@
 $(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
 $(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)
 
-#client: client-fps client-ssp client-rpg client-krs client-pzl
-client: client-fps client-ssp client-rpg client-movie client-krs client-pzl
-#server: server-fps
+client: client-fps client-krs client-movie client-rpg client-ssp #client-pzl
 server: server-fps server-movie
 
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
-vcpp/%.o:
-	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@)
-
 client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe vcpp/sandbox.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/fps.rc -J rc -o windows/resources/fps.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe windows/resources/fps.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-ssp:$(CLIENT_OBJS) $(SSPCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe vcpp/sandbox.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/ssp.rc -J rc -o windows/resources/ssp.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe windows/resources/ssp.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS
-) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/rpg.rc -J rc -o windows/resources/rpg.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe windows/resources/rpg.res $(CLIENT_OBJS) $(RPGCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe vcpp/sandbox.res $(CLIENT_OBJS) $(MOVIEPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/mc.rc -J rc -o windows/resources/mc.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe windows/resources/mc.res $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)
 
 client-krs:$(CLIENT_OBJS) $(KRSCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe vcpp/sandbox.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/krs.rc -J rc -o windows/resources/krs.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe windows/resources/krs.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-pzl:$(CLIENT_OBJS) $(PZLCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe vcpp/sandbox.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/pzl.rc -J rc -o windows/resources/pzl.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe windows/resources/pzl.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
 
 server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/fps.rc -J rc -o windows/resources/fps.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe windows/resources/fps.res $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
 
 server-movie: $(SERVER_OBJS) $(MOVIESERVER_OBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/mc.rc -J rc -o windows/resources/mc.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe windows/resources/mc.res $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
 
 
 master: $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_master.exe $(MASTER_OBJS) $(MASTER_LIBS)
 
 install: all
 else
@@ -343,7 +342,7 @@
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_movie $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
 
 master: libenet $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(MASTER_LIBS)
 
 
 install: all
@@ -360,14 +359,6 @@
 	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
 	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
 	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))
-
-distinstall: install
-	chmod +x ./install.sh
-	exec ./install.sh
-
-distclean:
-	rm -rf /usr/local/sandbox/
-	rm -f /usr/bin/sandbox
 
 engine/engine.h.gch: shared/cube.h.gch
 fpsgame/game.h.gch: shared/cube.h.gch
@@ -385,8 +376,3 @@
 shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
 shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
 engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
-engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
-engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
-engine/3dgui.o: engine/textedit.h
-engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h

=== debian/changelog ===
sandboxgamemaker (2.7+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Tue, 04 Oct 2011 14:38:30 -0400

=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -C src
	$(MAKE) -C src pasl

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -f src/sandbox_client src/sandbox_server
	rm -f bin/*
	rm -rf bin
	rm -f sandboxgamemaker_glauncher src/launch src/launcher/pasl.o src/launcher/paslapp.o
	dh_auto_clean

override_dh_install:
	dh_install -Xlicense

ORIG_TARBALL=PlatinumArtsSandbox2.7Multiplatform.zip
ORIG_DIRECTORY=PlatinumArtsSandbox2.7
ORIG_DFSG_NAME=sandboxgamemaker-2.7+dfsg

get-orig-source:
	dh_testdir
	#rm -rf ../sandboxgamemaker_2.7+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	test -f $(ORIG_TARBALL) || wget http://sandboxgamemaker.com/sandbox/$(ORIG_TARBALL)
	rm -rf $(ORIG_DIRECTORY)
	unzip $(ORIG_TARBALL);\
	find PlatinumArtsSandbox2.7/ -iname "*.exe" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.bat" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.dll" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.lib" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.a" -delete;\
	rm -f $(ORIG_DIRECTORY)/bin/*;\
	rm -r $(ORIG_DIRECTORY)/src/enet;\
	rm -r $(ORIG_DIRECTORY)/src/xcode;\
	rm -r $(ORIG_DIRECTORY)/src/windows;\
	rm -r $(ORIG_DIRECTORY)/src/include;\
	rm -r $(ORIG_DIRECTORY)/src/lib;\
	rm -r $(ORIG_DIRECTORY)/packages;\
	rm -r $(ORIG_DIRECTORY)/data;\
	rm -f $(ORIG_DIRECTORY)/LICENSE.txt;\
	rm -f $(ORIG_DIRECTORY)/_SandBoxLauncher;\
	mv $(ORIG_DIRECTORY) $(ORIG_DFSG_NAME);\
	GZIP=-9 tar cvfz ../sandboxgamemaker_2.7+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	rm -rf $(ORIG_DFSG_NAME) $(ORIG_TARBALL)	


#.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source
